%define version 0.0.14.1
%define release %mkrel 1

%define lib_major 6
%define libname %mklibname ggzdmod %{lib_major}
%define libname_basic libggzdmod

%define enable_mysql 0
%{?_with_mysql: %global enable_mysql 1}

%define enable_pgsql 0
%{?_with_pgsql: %global enable_pgsql 1}

Name:		ggz-server
Summary:	Server software for the GGZ Gaming Zone
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
Source:		%name-%version.tar.bz2
Patch0:		ggz-server-gcc43.diff
Patch1:		ggz-server-linkage_fix.diff
Patch2:		ggz_server_inotify.patch
Patch3:		ggz-server_wformat.patch
Patch4:		ggz-server-0.0.14.1-cstdio.patch
URL:		http://www.ggzgamingzone.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libggz-devel = %{version}
BuildRequires:	popt-devel autoconf
BuildRequires:	expat-devel
%if %enable_mysql
BuildRequires:	mysql-devel
%else
%if %enable_pgsql
BuildRequires:	postgresql-devel
%else
BuildRequires:	db4-devel
%endif
%endif
Requires:	libggz = %{version}
Requires:	%{libname} = %{version}
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version


%description
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

# Main package
%package -n	%{libname}
Summary:	GGZ server libraries
Group:		System/Libraries
Provides:	%{libname_basic} = %{version}

%description -n	%{libname}
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

This package provides the libraries needed to run the server.

# Devel package
%package	devel
Summary:	GGZ server development libraries
Group:		Development/C
Provides:	%{libname_basic}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%libname = %{version}

%description	devel
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

This package provides all development related files necessary for you to
develop or compile any extra games which supports GGZ gaming server.

%prep
%if %enable_mysql && %enable_pgsql
echo "\"--with mysql\" and \"--with pgsql\" can't be used together."
exit 1
%endif

%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1

autoreconf -fis

%build
%serverbuild
%configure2_5x \
	--with-libggz-libraries=%{_libdir} \
%if %enable_mysql
	--with-database=mysql
%else
%if %enable_pgsql
	--with-database=pgsql
%else
	--with-database=db4
%endif
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post -n %libname
 /sbin/ldconfig

%postun -n %libname
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README README.GGZ TODO

%config(noreplace) /etc/ggzd
%{_bindir}/*
%{_libdir}/ggzd
%{_datadir}/ggz/ggzd
%{_mandir}/man?/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libggzdmod.so.%{lib_major}
%{_libdir}/libggzdmod.so.%{lib_major}.*
%{_libdir}/libggzdmod++.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog
%{_includedir}/*
%{_libdir}/libggzdmod++.a
%{_libdir}/libggzdmod++.la
%{_libdir}/libggzdmod.a
%{_libdir}/libggzdmod.la
%{_libdir}/libggzdmod++.so
%{_libdir}/libggzdmod.so


%changelog
* Sun Oct 11 2009 Texstar <texstar at gmail.com> 0.0.14.1-1pclos2010
- import into pclos from mdv needed for gnome-games-2.28


